%global momorel 4

%global qtver 3.3.4
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global kdever 3.4.0
%global kdelibsrel 1m
%global kofficever 1.3.5
%global sourcedir stable/koffice-%{kofficever}/src

Name: koffice
Summary: Set of office applications for KDE
Version: %{kofficever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://www.koffice.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/koffice-%{version}.tar.bz2 dbc7e76c86647709a3e74f57c0fcf7f5
# mirror site in Japan
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 dbc7e76c86647709a3e74f57c0fcf7f5
Patch1: koffice-1.1.1-alpha.patch
Patch2: koffice-1.3.5-immodule.patch
# [Security]
Patch100: post-1.3.5-koffice.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt >= %{qtver}, kdelibs >= %{kdever} kdebase >= %{kdever}, arts
BuildRequires: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, libpng >= 1.2.0, arts-devel, libxslt-devel >= 1.0.19-2m, lcms-devel

%description
Office applications for the K Desktop Environment.
KOffice contains KWord (word processor), KSpread (spreadsheet), KPresenter
(Presentations) , KChart (diagram generator) and etc...

%prep
%setup -q

%ifarch alpha
%patch1 -p1 -b .alpha
%endif

%patch2 -p1 -b .im

# security fix
%patch100 -p1 -b .pdf

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

if [ -f Makefile.cvs ]; then
	make -f Makefile.cvs
fi;

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{kdedir} \
        --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--disable-debug \
	--enable-mt \
	--disable-closure \
	--with-extra-includes=%{kdedir}/include/arts \
	--with-xinerama \
	--enable-final

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export QTDIR=%{qtdir} KDEDIR=%{kdedir}
make DESTDIR=%{buildroot} install

# Replace absolute symlinks with relative ones
cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
		ln -s ../common %{buildroot}%{_docdir}/HTML/en/$i
	fi
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
kbuildsycoca &>/dev/null || :

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/kword
%{_includedir}/*.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so*
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applnk/Office
%{_datadir}/apps/karbon
%{_datadir}/apps/kchart
%{_datadir}/apps/kformula
%{_datadir}/apps/kivio
%{_datadir}/apps/koffice
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/koshell
%{_datadir}/apps/kpresenter
%{_datadir}/apps/krita
%{_datadir}/apps/kspread
%{_datadir}/apps/kudesigner
%{_datadir}/apps/kugar
%{_datadir}/apps/kword
%{_datadir}/apps/thesaurus
%{_datadir}/apps/xsltfilter
%{_datadir}/doc/HTML/en/kchart
%{_datadir}/doc/HTML/en/kformula
%{_datadir}/doc/HTML/en/kivio
%{_datadir}/doc/HTML/en/koffice
%{_datadir}/doc/HTML/en/koshell
%{_datadir}/doc/HTML/en/kpresenter
%{_datadir}/doc/HTML/en/kspread
%{_datadir}/doc/HTML/en/kugar
%{_datadir}/doc/HTML/en/kword
%{_datadir}/doc/HTML/en/thesaurus
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop
%{_datadir}/templates/.source/*
%{_datadir}/templates/*.desktop

%changelog
* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-4m)
- add %%files section
- clean up spec file

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-3m)
- [SECURITY] post-1.3.5-koffice.diff for "KOffice PDF Import Filter Vulnerability"
  http://kde.org/info/security/advisory-20050120-1.txt
- import koffice-1.3.5-immodule.patch from Fedora Core
 +* Sat Feb 12 2005 Than Ngo <than@redhat.com> 4:1.3.5-3
 +- backport from CVS for working with qt-immodule

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.3.5-2m)
- enable x86_64.

* Wed Nov 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.5-1m)
- update to 1.3.5
- including security fix (xpdf integer overflow),  see also http://www.koffice.org/news.php#itemSECURITYupdatexpdfintegeroverflowinKOffice13x

* Thu Oct 28 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.4-1m)
- update to 1.3.4

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.3-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3

* Fri May 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.3-3m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sun Feb 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3-2m)
- rebuild against KDE 3.2.0
- add Build Prereq: lcms-devel

* Thu Jan 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3-1m)
- version 1.3 release

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.95-1m)
- update to koffice-1.3 RC2

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.94-1m)
- update to koffice-1.3 RC1

* Wed Oct  1 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.93-1m)
- update to koffice-1.3 beta4
- --enable-final again
- use %%NoSource

* Sat Jun 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.91-1m)
- update to koffice-1.3 beta2
- commented out --enable-final tentatively

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-4m)
- remove requires: qt-Xt                                                                                
* Wed Mar 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-3m)
- rebuild against for XFree86-4.3.0

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-2m)
- add URL

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-1m)
- update to 1.2.
- change configure option ("disable-final" to "enable-final" ).

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-0.0010001m)
- update to 1.2rc1.

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-0.0002001m)
- update to 1.2beta2.
- change configure option.
- ( remove "--enable-kernel-threads" 
-   and change "enable-final" to "disable-final" ).
- remove old patches.
- add Requires: arts
- add BuildRequires: arts-devel, libxslt-devel >= 1.0.19-2m

* Sun Apr  7 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.1.1-6k)
  kde3

* Thu Mar 27 2002 Toru Hoshina <t@kondara.org>
- (1.1.1-4k)
- alpha support.

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (1.1.1-2k)
- stable release, hopefully :-P

* Wed Nov 28 2001 Toru Hoshina <t@kondara.org>
- (1.1-12k)
- rebuild against qt 2.3.2, kde 2.2.2.

* Wed Oct 31 2001 Toru Hoshina <t@kondara.org>
- (1.1-10k)
- rebuild against new environment.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.1-8k)
- rebuild against libpng 1.2.0.

* Wed Aug 29 2001 Toru Hoshina <t@kondara.org>
- (1.1-2k)
- stable release.

* Sun Aug 13 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0004002k)
- 1.1rc1.

* Fri Jun 29 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0003004k)
- force -O0 for alpha platform.

* Thu Jun 21 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0003003k)
- 1.1beta3.

* Mon Jun 18 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0002003k)
- 1.1beta2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0002002k)
- version down :-P

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.1-14k)
- rebuild against KDE 2.1

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@konadra.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@konadra.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild agaisnt new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- update koffice-2.0-kchart-i18n-20001030.diff.
- add koffice-2.0-killustrator-i18n-20001102.diff.
- add GIF Support switch.
- release.

* Mon Oct 30 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.1k]
- update 2.0.
- update koffice-2.0-gcc296.patch.
- add koffice-2.0-winword97.patch.
- update koffice-2.0-kword-i18n-20001026.diff.
- update koffice-2.0-kspread-i18n-20001026.diff.
- update koffice-2.0-kpresenter-m17n-20001026.diff.
- add koffice-2.0-kchart-i18n-20001029.diff.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.
- add koffice-1.94-kword-i18n-20000928.diff
- add koffice-1.94-kspread-i18n-20000930.diff
- add koffice-1.94-kpresenter-m17n-20000928.diff

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org
- bugfix specfile %files section.

* Sun Sep 18 2000 Toru Hoshina <t@kondara.org>
- version up.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Mon Jun 19 2000 Kenichi Matsubara <m@kondara.org>
- instial release Kondara MNU/Linux.

